<?php
/*
VideoWhisper Video erp24 Integration (for Joomla):

Copyright (C) 2009  VideoWhisper.com
*/
defined('_JEXEC') or die('Restricted access'); ?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col100">
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'Room Details' ); ?></legend>
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="maxbandwidth">
                    <?php echo JText::_( 'Room' ); ?>:
                </label>
          </td>
            <td>
                <input class="text_area" type="text" name="room" id="room" size="32" maxlength="64" value="<?php echo $this->croom->room;?>" />
            </td>
            <td>&nbsp;</td>
        </tr>        
        <tr>
            <td width="100" align="right" class="key">
                <label for="layout">
                    <?php echo JText::_( 'Welcome Message' ); ?>:
                </label>
            </td>
            <td><textarea name="welcome" cols="64" rows="3" class="text_area" id="welcome"><?php echo $this->croom->welcome;?></textarea>
            </td>
            <td>&nbsp;</td>
        </tr>

        <tr>
          <td align="right" class="key"><?php echo JText::_( 'Layout Code' ); ?>:</td>
          <td><textarea name="layout" cols="64" rows="2" class="text_area" id="layout"><?php echo $this->croom->layout;?></textarea></td>
          <td><?php echo JText::_( 'Get layout code by typing "/videowhisper layout" in the chat panel.'); ?></td>
        </tr>
        <tr>
          <td align="right" class="key"><?php echo JText::_( 'Fill Window' ); ?></td>
          <td><select name="fillwindow" id="fillwindow">
            <option value="0" <?=(!$this->croom->fillwindow?"selected":"")?>><?php echo JText::_( 'No' ); ?></option>
            <option value="1" <?=($this->croom->fillwindow?"selected":"")?>><?php echo JText::_( 'Yes' ); ?></option>
          </select></td>
          <td><?php echo JText::_( 'Panels expand on startup to fit window if more proportional space is available.'); ?></td>
        </tr>
        <tr>
          <td align="right" class="key"><?php echo JText::_( 'Background (URL)' ); ?></td>
          <td><input class="text_area" type="text" name="background" id="background" size="64" maxlength="200" value="<?php echo $this->croom->background;?>" /></td>
          <td><?php echo JText::_( 'Background image (relative to folder containing swf file).'); ?></td>
        </tr>
        <tr>
          <td align="right" class="key"><?php echo JText::_( 'Public (Listed)' ); ?></td>
          <td><select name="public" id="public">
            <option value="0" <?=(!$this->croom->public?"selected":"")?>><?php echo JText::_( 'No' ); ?></option>
            <option value="1" <?=($this->croom->public?"selected":"")?>><?php echo JText::_( 'Yes' ); ?></option>
          </select></td>
          <td><?php echo JText::_( 'List room in public listings.'); ?></td>
        </tr>
      </table>
    </fieldset>
        <br />
      <fieldset class="adminform">
      <legend><?php echo JText::_( 'Streaming Settings' ); ?></legend>
        <table class="admintable">
          <tr>
            <td width="100" align="right" class="key"><label for="camres"> <?php echo JText::_( 'Resolution' ); ?>: </label></td>
            <td><select name="camres" id="camres">
              <option value="320x240" <?=($this->croom->camres=="320x240"?"selected":"")?>>320x240</option>
              <option value="160x120" <?=($this->croom->camres=="160x120"?"selected":"")?>>160x120</option>
              <option value="640x480" <?=($this->croom->camres=="640x480"?"selected":"")?>>640x480</option>
            </select></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td width="100" align="right" class="key"><label for="camfps"> <?php echo JText::_( 'Frames Per Second (FPS)' ); ?>: </label></td>
            <td><select name="camfps" id="camfps">
              <option value="15" <?=($this->croom->camfps=="15"?"selected":"")?>>15</option>
              <option value="12" <?=($this->croom->camfps=="12"?"selected":"")?>>12</option>
              <option value="24" <?=($this->croom->camfps=="24"?"selected":"")?>>24</option>
              <option value="25" <?=($this->croom->camfps=="25"?"selected":"")?>>25</option>
              <option value="30" <?=($this->croom->camfps=="30"?"selected":"")?>>30</option>
            </select></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Bandwidth' ); ?>: </td>
            <td><input class="text_area" type="text" name="bandwidth" id="bandwidth" size="8" maxlength="9" value="<?=($this->croom->bandwidth?$this->croom->bandwidth:40960)?>" /></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Maximum Bandwidth' ); ?>: </td>
            <td><input class="text_area" type="text" name="maxbandwidth" id="maxbandwidth" size="8" maxlength="9" value="<?=($this->croom->maxbandwidth?$this->croom->maxbandwidth:81920)?>" /></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'RTMP Application Address' ); ?></td>
            <td><input class="text_area" type="text" name="rtmp" id="rtmp" size="64" maxlength="200" value="<?php echo $this->croom->rtmp;?>" /></td>
            <td><?php echo JText::_( 'Leave blank to use default (if defined in parameters). Must be a RTMP address pointing to the VideoWhisper RTMP application installed on a RTMP server.'); ?></td>
          </tr>
            <tr>
            <td align="right" class="key"><?php echo JText::_( 'Presentation 1 RTMP Server' ); ?></td>
            <td><input class="text_area" type="text" name="rtmp1" id="rtmp1" size="64" maxlength="200" value="<?php echo $this->croom->rtmp1;?>" /></td>
            <td><?php echo JText::_( 'External RTMP server for presentation 1.'); ?></td>
          </tr>
            <tr>
            <td align="right" class="key"><?php echo JText::_( 'Presentation 1 RTMP Stream Name' ); ?></td>
            <td><input class="text_area" type="text" name="stream1" id="stream1" size="32" maxlength="64" value="<?php echo $this->croom->stream1;?>" /></td>
            <td><?php echo JText::_( 'External RTMP stream name for presentation 1.'); ?></td>
          </tr>
                      <tr>
            <td align="right" class="key"><?php echo JText::_( 'Presentation 2 RTMP Server' ); ?></td>
            <td><input class="text_area" type="text" name="rtmp2" id="rtmp2" size="64" maxlength="200" value="<?php echo $this->croom->rtmp2;?>" /></td>
            <td><?php echo JText::_( 'External RTMP server for presentation 2.'); ?></td>
          </tr>
            <tr>
            <td align="right" class="key"><?php echo JText::_( 'Presentation 2 RTMP Stream Name' ); ?></td>
            <td><input class="text_area" type="text" name="stream2" id="stream2" size="32" maxlength="64" value="<?php echo $this->croom->stream2;?>" /></td>
            <td><?php echo JText::_( 'External RTMP stream name for presentation 2.'); ?></td>
          </tr>

        </table>
    </fieldset>
            <br />
       <fieldset class="adminform">
      <legend><?php echo JText::_( 'Usage Limitations' ); ?></legend>
        <table class="admintable">
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Suspended' ); ?></td>
            <td><select name="suspended" id="suspended">
              <option value="0" <?=(!$this->croom->suspended?"selected":"")?>><?php echo JText::_( 'No' ); ?></option>
              <option value="1" <?=($this->croom->suspended?"selected":"")?>><?php echo JText::_( 'Yes' ); ?></option>
            </select></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Capacity' ); ?></td>
            <td><input class="text_area" type="text" name="capacity" id="capacity" size="8" maxlength="9" value="<?=($this->croom->capacity?$this->croom->capacity:0)?>" /></td>
            <td><?php echo JText::_( 'Maximum number of participants allowed in room.'); ?></td>
          </tr>
          <tr>
            <td width="100" align="right" class="key"><label for="mext"><?php echo JText::_( 'Expiration (days)' ); ?>: </label></td>
            <td><input class="text_area" type="text" name="timeexpire" id="timeexpire" size="8" maxlength="9" value="<?=($this->croom->timeexpire?$this->croom->timeexpire:0)?>" /></td>
            <td><?php echo JText::_( 'Life of room in days (since creation date). Leave 0 for no expiration. Current age: ' ); echo ($this->croom->timecreated? floor((time()-$this->croom->timecreated)/86400).JText::_(" days"):""); ?></td>
          </tr>
          <tr>
            <td width="100" align="right" class="key"><label for="timeout"> <?php echo JText::_( 'Cleanup (hours)' ); ?>: </label></td>
            <td><input class="text_area" type="text" name="timeout" id="timeout" size="8" maxlength="9" value="<?=($this->croom->timeout?$this->croom->timeout:0)?>" /></td>
            <td><?php echo JText::_( 'Room cleanup (deletion) if not used for that amout of hours. Leave 0 for no cleanup. ' ); ?></td>
          </tr>
          <tr>
	        <td width="100" align="right" class="key"><label for="credits"> <?php echo JText::_( 'Credits (minutes)' ); ?>: </label></td>
            <td><input class="text_area" type="text" name="credits" id="credits" size="8" maxlength="9" value="<?=($this->croom->credits?$this->croom->credits:0)?>" /></td>
            <td><?php echo JText::_( 'Usage will add up for each user (meaning 10 users for 5 minutes of consultation will require 50 streaming minutes). Leave 0 for unlimited usage.' ); ?></td>
          </tr>
           <tr>
	        <td width="100" align="right" class="key"> <?php echo JText::_( 'Credits Reset (days)' ); ?>: </td>
            <td><input class="text_area" type="text" name="creditsreset" id="creditsreset" size="8" maxlength="9" value="<?=($this->croom->creditsreset?$this->croom->creditsreset:0)?>" /></td>
            <td><?php echo JText::_( 'Specify when used credits are reset. Set 1 for daily, 7 for weekly, 30 monthly, 365 yearly. Leave 0 to count lifetime usage.' ); ?></td>
          </tr>
        </table>
        <br />

        <?=($this->croom->timecreated?JText::_('This room was created on: ').date("D M j G:i:s T Y",$this->croom->timecreated):"")?>
<?
if (!$this->croom->timecreated) $this->croom->timecreated=time();
?>
    </fieldset>
    <br />

        <?=($this->croom->timecreated?JText::_('This room was created on: ').date("D M j G:i:s T Y",$this->croom->timecreated):"")?>
<?
if (!$this->croom->timecreated) $this->croom->timecreated=time();
?>
    </fieldset>
    <br />

     <fieldset class="adminform">
      <legend><?php echo JText::_( 'User Permissions' ); ?></legend>
        <table class="admintable">
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Owner' ); ?></td>
            <td><input class="text_area" type="text" name="owner" id="owner" size="48" maxlength="100" value="<?=($this->croom->owner)?>" /></td>
            <td><?php echo JText::_( 'Room owner username.' ); ?></td>
          </tr>
                  <tr>
          <td align="right" class="key"><?php echo JText::_( 'Allow Visitors' ); ?></td>
          <td><select name="visitors" id="visitors">
            <option value="0" <?=($this->croom->visitors=="0"?"selected":"")?>><?php echo JText::_( 'No' ); ?></option>
            <option value="1" <?=($this->croom->visitors=="1"?"selected":"")?>><?php echo JText::_( 'Yes' ); ?></option>
          </select></td>
            <td><?php echo JText::_( 'Allow guests (not registered and logged in users) to enter.' ); ?></td>
        </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Moderators' ); ?></td>
            <td><input class="text_area" type="text" name="admins" id="admins" size="48" maxlength="100" value="<?=($this->croom->admins?$this->croom->admins:"Admins")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to set speakers and inquirers, close public videos, kick users.' ); ?></td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Change Presentation Server' ); ?></td>
            <td><input class="text_area" type="text" name="mext" id="mext" size="48" maxlength="100" value="<?=($this->croom->mext?$this->croom->mext:"Admins")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to set external streaming settings.' ); ?></td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Publish Webcam' ); ?></td>
            <td><input class="text_area" type="text" name="mcam" id="mcam" size="48" maxlength="100" value="<?=($this->croom->mcam?$this->croom->mcam:"Admins")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to publish webcam. Speaker and inquirer webcams are automatically published if needed.' ); ?></td>
          </tr>
         <tr>
            <td align="right" class="key"><?php echo JText::_( 'Watch Webcams' ); ?></td>
            <td><input class="text_area" type="text" name="mwatch" id="mwatch" size="48" maxlength="100" value="<?=($this->croom->mwatch?$this->croom->mwatch:"Admins")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to watch any published webcam in the list. Opens as new video panel.' ); ?></td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Second Video Panel' ); ?></td>
            <td><input class="text_area" type="text" name="msecond" id="msecond" size="48" maxlength="100" value="<?=($this->croom->msecond?$this->croom->msecond:"All")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to view second video panel.' ); ?></td>
          </tr>
            <tr>
            <td align="right" class="key"><?php echo JText::_( 'Files Panel' ); ?></td>
            <td><input class="text_area" type="text" name="mfiles" id="mfiles" size="48" maxlength="100" value="<?=($this->croom->mfiles?$this->croom->mfiles:"All")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to view files panel and download files.' ); ?></td>
          </tr>
           <tr>
            <td align="right" class="key"><?php echo JText::_( 'Files Upload' ); ?></td>
            <td><input class="text_area" type="text" name="mfilesu" id="mfilesu" size="48" maxlength="100" value="<?=($this->croom->mfilesu?$this->croom->mfilesu:"Members")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to upload files.' ); ?></td>
          </tr>
           <tr>
            <td align="right" class="key"><?php echo JText::_( 'Files Delete' ); ?></td>
            <td><input class="text_area" type="text" name="mfilesd" id="mfilesd" size="48" maxlength="100" value="<?=($this->croom->mfilesd?$this->croom->mfilesd:"Admins")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to delete files.' ); ?></td>
          </tr>
           <tr>
            <td align="right" class="key"><?php echo JText::_( 'Participants Panel' ); ?></td>
            <td><input class="text_area" type="text" name="musers" id="musers" size="48" maxlength="100" value="<?=($this->croom->musers?$this->croom->musers:"All")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to view participants panel, change their status.' ); ?></td>
          </tr>
           <tr>
            <td align="right" class="key"><?php echo JText::_( 'Private Chat' ); ?></td>
            <td><input class="text_area" type="text" name="mprivate" id="mprivate" size="48" maxlength="100" value="<?=($this->croom->mprivate?$this->croom->mprivate:"Members")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to initiate private chat sessions, block and unblock private messaging from certain users.' ); ?></td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Chat Panel' ); ?></td>
            <td><input class="text_area" type="text" name="mchat" id="mchat" size="48" maxlength="100" value="<?=($this->croom->mchat?$this->croom->mchat:"All")?>" /></td>
            <td><?php echo JText::_( 'Are allowed to view chat panel.' ); ?></td>
          </tr>
        </table>
      <BR><?php echo JText::_( 'Set user groups as comma separted joomla user roles, usernames, or use these wider groups:' ); ?>
      <BR><?php echo JText::_( 'Admins: Super Administrator, Administrator, Manager. Also includes owner.' ); ?>
      <BR><?php echo JText::_( 'Members: Super Administrator, Administrator, Manager, Publisher, Editor, Author, Registered.' ); ?>
      <BR><?php echo JText::_( 'All: Super Administrator, Administrator, Manager, Publisher, Editor, Author, Registered, Guest.' ); ?>
      <BR><?php echo JText::_( 'None: feature disabled for all categories.' ); ?>
      </fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_videowhisper_erp24" />
<input type="hidden" name="timecreated" value="<?=$this->croom->timecreated?>" />
<input type="hidden" name="id" value="<?php echo $this->croom->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="room" />
</form>
